/* Forzar ancho fijo de columnas en el calendario */
.table-bordered {
  table-layout: fixed;
  width: 100%;
}
.table-bordered th, .table-bordered td {
  word-wrap: break-word;
  overflow-wrap: break-word;
  white-space: normal;
  vertical-align: top;
  padding: 15px !important;
  position: relative; /* Para posicionar el número del día */
}
/* Número del día en la esquina superior izquierda */
.day-number {
  position: absolute;
  top: 5px;
  left: 5px;
  font-weight: bold;
}

/* Estilo para las cajas de evento */
.event-link {
  display: block;
  width: 100%;
  background-color: inherit; /* Se setea dinámicamente */
  color: #fff;
  padding: 4px;
  margin-top: 20px; /* para dejar hueco al número del día */
  margin-bottom: 4px;
  border-radius: 3px;
  text-decoration: none;
  font-size: 0.85em;
  word-wrap: break-word;
  overflow-wrap: break-word;
  white-space: normal;
}

/* Días de otros meses en gris */
.other-month {
  background-color: #f0f0f0;
  color: #999;
}


input:not([type="button"]):not([type="submit"]):not([type="reset"]),
textarea,
select { 
  background-color: #f9f9f9 !important;
}

.casaevento {
  background-color: #f0f0f0;
  padding: 15px;
  border-radius: 6px;
  border: 1px solid #e8e8e8;
}

.archivo-evento {
  background-color: #f0f0f0;
  border: 1px solid #ccc;
  margin: 10px;
  padding: 10px;
  text-align: center;
  border-radius: 6px;
  display: flex;
  flex-direction: column;
  min-height: 350px; /* O la altura que prefieras */
}

.img-container {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
}

.archivo-info {
  margin-top: auto; /* Empuja este bloque al fondo del contenedor */
}

.comentario {
  background-color: #f0f0f0;
  padding: 15px;
  border-radius: 6px;
  border: 1px solid #e8e8e8;
  margin-bottom: 5px;
}

h1 {
  color: brown;
  line-height: 10px;
  margin: 0;
  padding: 0;
}

h2 {
  color: #60a9ac;
}

.cabecera {
  border-bottom: 1px solid #999;
  padding-bottom: 10px;
}

.sidebar-item  a:hover {
  background: linear-gradient( 90deg, rgba(59, 125, 221, 0.1), rgba(59, 125, 221, 0.088) 50%, transparent );
  border-left-color: #3b7ddd;
  color: #e9ecef;
}


.submenu {
  margin: 0 !important;
  padding: 0 !important;
}

.submenu  li {
  list-style: none;
  margin: 0;
  padding: 0;
}

.submenu a {
  display: flex;
  border-top: 1px solid #c5c5c5;
  border-left: 4px solid transparent; /* Espacio reservado */
  padding: 7px 5px 7px 14px;
  color: #222e3c;
}

.submenu a:hover {
  background: #4d6685;/* Cambia solo el color */
  color: #e9ecef;
  text-decoration: none;
}

.submenu li:last-child a {
  border-top: none;
  border-top: 1px solid #c5c5c5;
  border-bottom: 1px solid #c5c5c5;
}

.card-header {
  background-color: #4d6685;
  color: white;
}